<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: theme.php
| Author: PHP-Fusion Romania
| Website: http://www.phpfusion.ro/
| Date: December 21st, 2011
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<span class='bullet'>&middot;</span>");
define("THEME_IMAGES", THEME."images/");

require_once INCLUDES."theme_functions_include.php";
require_once THEME."functions.php";
require_once INCLUDES."output_handling_include.php";

/**
 * Google Analytics code
 * UA-0123456-7 is only a sample - change it with your ID
 **/

/*
add_to_head("<script type='text/javascript'>
  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-0123456-7']);
  _gaq.push(['_trackPageview']);
  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();
</script>");
*/

function render_page($license = false) {
    add_handler("theme_output");
	global $settings, $main_style, $locale, $mysql_queries_time;

	//Header
	echo "<div class='page'>\n";
	echo "\t<div id='header'>\n";
	echo "\t\t<h1 id='logo'><a href='".BASEDIR."index.php'><span>PHP-Fusion Rom&#226;nia</span></a></h1>\n";

	/* optional block: FLAGS */
	$show_flags = true;
	if ($show_flags) {
		echo "\t\t<ul class='support_sites'>\n";
		echo "\t\t\t<li><a href='http://www.php-fusion.co.uk/'><img src='".THEME_IMAGES."blank.gif' class='flag flag-gb' alt='GB' /></a></li>\n";
		echo "\t\t\t<li><a href='http://www.phpfusion-ar.com/'><img src='".THEME_IMAGES."blank.gif' class='flag flag-sa' alt='AR' /></a></li>\n";
		echo "\t\t\t<li><a href='http://www.phpfusion-nederlands.info/'><img src='".THEME_IMAGES."blank.gif' class='flag flag-be' alt='BE' /></a></li>\n";
		echo "\t\t\t<li><a href='http://www.phpfusion-br.net/'><img src='".THEME_IMAGES."blank.gif' class='flag flag-br' alt='BR' /></a></li>\n";
		echo "\t\t\t<li><a href='http://www.phpfusion.cz/'><img src='".THEME_IMAGES."blank.gif' class='flag flag-cz' alt='CZ' /></a></li>\n";
		echo "\t\t\t<li><a href='http://www.phpfusion-support.de/'><img src='".THEME_IMAGES."blank.gif' class='flag flag-de' alt='DE' /></a></li>\n";
		echo "\t\t\t<li><a href='http://www.php-fusion.dk/'><img src='".THEME_IMAGES."blank.gif' class='flag flag-dk' alt='DK' /></a></li>\n";
		echo "\t\t\t<li><a href='http://www.phpfusion-fr.com/'><img src='".THEME_IMAGES."blank.gif' class='flag flag-fr' alt='FR' /></a></li>\n";
		echo "\t\t\t<li><a href='http://www.php-fusion.co.hu/'><img src='".THEME_IMAGES."blank.gif' class='flag flag-hu' alt='HU' /></a></li>\n";
		echo "\t\t\t<li><a href='http://www.fusion.alaviweb.com/'><img src='".THEME_IMAGES."blank.gif' class='flag flag-ir' alt='IR' /></a></li>\n";
		echo "\t\t\t<li><a href='http://www.php-fusion.it/'><img src='".THEME_IMAGES."blank.gif' class='flag flag-it' alt='IT' /></a></li>\n";
		echo "\t\t\t<li><a href='http://www.phpfusion-lt.com/'><img src='".THEME_IMAGES."blank.gif' class='flag flag-lt' alt='LT' /></a></li>\n";
		echo "\t\t\t<li><a href='http://www.phpfusion-nederlands.info/'><img src='".THEME_IMAGES."blank.gif' class='flag flag-nl' alt='NL' /></a></li>\n";
		echo "\t\t\t<li><a href='http://www.phpfusion-no.com/'><img src='".THEME_IMAGES."blank.gif' class='flag flag-no' alt='NO' /></a></li>\n";
		echo "\t\t\t<li><a href='http://www.php-fusion.pl/'><img src='".THEME_IMAGES."blank.gif' class='flag flag-pl' alt='PL' /></a></li>\n";
		echo "\t\t\t<li><a href='http://www.phpfusion.ro/'><img src='".THEME_IMAGES."blank.gif' class='flag flag-ro' alt='RO' /></a></li>\n";
		echo "\t\t\t<li><a href='http://www.rusfusion.ru/'><img src='".THEME_IMAGES."blank.gif' class='flag flag-ru' alt='RU' /></a></li>\n";
		echo "\t\t\t<li><a href='http://www.php-fusion.sk/'><img src='".THEME_IMAGES."blank.gif' class='flag flag-sk' alt='SK' /></a></li>\n";
		echo "\t\t\t<li><a href='http://www.phpfusion.es/'><img src='".THEME_IMAGES."blank.gif' class='flag flag-es' alt='ES' /></a></li>\n";
		echo "\t\t\t<li><a href='http://www.php-fusion.se/'><img src='".THEME_IMAGES."blank.gif' class='flag flag-se' alt='SE' /></a></li>\n";
		echo "\t\t\t<li><a href='http://www.phpfusionturkiye.com/'><img src='".THEME_IMAGES."blank.gif' class='flag flag-tr' alt='TR' /></a></li>\n";
		echo "\t\t</ul>\n";
	} else {
		echo "\t\t<div style='height: 21px'></div>\n";
	}
	/* end of the optional block: FLAGS */

	echo "\t\t<div class='nav_holder'>\n";
	echo "\t\t<ul id='nav'>\n";
	$sub_options = array();
	$data = dbquery("SELECT link_name, link_url FROM ".DB_PREFIX."site_links WHERE link_position='2' ORDER BY link_order ASC");
	while ($link = dbarray($data)) $sub_options[$link['link_name']] = $link['link_url'];
	foreach ($sub_options as $name => $url)
		echo "\t\t\t<li><a href='".BASEDIR.$url."'>".$name."</a></li>\n";
	echo "\t\t</ul>\n";
	echo "\t\t</div>\n";
	echo "\t</div>\n";

	//Content
	$main_column = LEFT && RIGHT ? "660px" : (LEFT || RIGHT ? "870px; " . (RIGHT ? "margin: 0 10px 0 0" : "margin: 0 0 0 10px") : "1080px; margin: 0");
	echo "\t<div id='maincontent' class='clearfix'>\n";
	if (LEFT) { echo "\t\t<div class='left_column'>\n".LEFT."</div>\n"; }
	echo "\t\t<div class='main_column' style='width:".$main_column."'>\n".U_CENTER.CONTENT.L_CENTER."</div>\n";
	if (RIGHT) { echo "\t\t<div class='right_column'>\n".RIGHT."</div>\n"; }
	echo "\t</div>\n";

	//Footer
	echo "\t<div id='footer'>\n";
	echo "\t\t<div class='ft'>\n";
	echo "\t\t\t<p class='right'>Copyright &copy; 2006-".date("Y")." - Comunitatea PHP-Fusion Romnia</p>\n";
	echo showcopyright();
	echo "\t\t\t<p>Theme designed by <a href='http://www.oroian.ro/' target='_blank'>Ionu&#355; Oroian</a></p>\n";
	echo "\t\t</div>\n";
	echo "\t\t<div class='fb'>\n";
	echo "\t\t\t<p class='right'>".showcounter()."</p>\n";
	echo "\t\t\t<p>".(substr($settings['version'], 0, 4) == "7.01" ? showrendertime() : sprintf($locale['global_172'], substr((get_microtime() - START_TIME),0,4)))."</p>\n";
	echo "\t\t</div>\n";
	echo "\t</div>\n";
	echo "</div>\n";
}

/* New in v7.02 - render comments */
function render_comments($c_data, $c_info){
	global $locale, $settings;
	opentable($locale['c100']);
	if (!empty($c_data)) {
		echo "<div class='floatfix'>\n";
		$c_makepagenav = '';
		if ($c_info['c_makepagenav'] !== FALSE) {
			echo $c_makepagenav = "<div style='text-align:center;margin-bottom:5px;'>".$c_info['c_makepagenav']."</div>\n";
		}
		foreach($c_data as $data) {
			echo "<div class='tbl2 clearfix floatfix'>\n";
			if ($settings['comments_avatar'] == "1") {
				echo "<span class='comment_avatar'>".$data['user_avatar']."</span>\n";
			}
			echo "<span class='comment_actions'><a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a></span>\n";
			echo $data['comment_name']."<br />\n";
			echo "<span class='small'>".$data['comment_datestamp'];
			if ($data['edit_dell'] !== FALSE) {
				echo "<br />\n".$data['edit_dell']."\n";
			}
			echo "</span>\n";
			echo "</div>\n<div class='tbl1 comment_message'>".$data['comment_message']."</div>\n";
		}
		echo $c_makepagenav;
		if ($c_info['admin_link'] !== FALSE) {
			echo "<div class='comment_admin'>".$c_info['admin_link']."</div>\n";
		}
		echo "</div>\n";
	} else {
		echo $locale['c101']."\n";
	}
	closetable();
}

function render_news($subject, $news, $info) {

	global $locale, $aidlink;

	echo "\t\t<div class='box byellow news'>\n";
	echo "\t\t\t<div class='title'>\n";
	echo "\t\t\t\t<h2><span class='tr'>".$subject."</span></h2>\n";
	echo "\t\t\t</div>\n";
	echo "\t\t\t<ul class='news_info'>\n";
	echo "\t\t\t<li class='print'><a href='".BASEDIR."print.php?type=N&amp;item_id=".$info['news_id']."' title='".$locale['global_075'].": ".$info['news_subject']."'><span>".$locale['global_075']."</span></a></li>\n";
	echo "\t\t\t<li class='user'><a href='".BASEDIR."profile.php?lookup=".$info['user_id']."'>".$info['user_name']."</a></li>\n";
	echo "\t\t\t<li class='date'>".showdate("longdate", $info['news_date'])."</li>\n";
	echo "\t\t\t<li class='comments'><a href='".BASEDIR."news.php?readmore=".$info['news_id']."#comments'>".$info['news_comments']." ".($info['news_comments'] != 1 ? $locale['global_073'] : $locale['global_073b'])."</a></li>\n";
	echo "\t\t\t<li class='views'>".$info['news_reads']." ".$locale['global_074']."</li>\n";
	if (iADMIN && checkrights("N")) echo "\t\t\t<li class='edit'><a href='".ADMIN."news.php".$aidlink."&amp;news_id=".$info['news_id']."'><img src='".IMAGES."edit.png' alt='".$locale['global_076']."' /></a></li>\n";
	echo "\t\t\t</ul>\n";
	echo "\t\t\t<div class='bcontent textfix'>\n";
	echo "\t\t\t\t".$info['cat_image'].$news;
	if (!isset($_GET['readmore']) && (!isset($_GET['readmore']) && $info['news_ext'] == "y")) echo "\t\t\t\t<div class='rm'><a href='".BASEDIR."news.php?readmore=".$info['news_id']."' title='".$info['news_subject']."'>".$locale['global_072']."</a></div>\n";
	echo "\t\t\t</div>\n";
	echo "\t\t</div>\n";

}

function render_article($subject, $article, $info) {

	global $locale, $aidlink;

	echo "\t\t<div class='box byellow news'>\n";
	echo "\t\t\t<div class='title'>\n";
	echo "\t\t\t\t<h2><span class='tr'>".$subject."</span></h2>\n";
	echo "\t\t\t</div>\n";
	echo "\t\t\t<ul class='news_info'>\n";
	echo "\t\t\t<li class='print'><a href='".BASEDIR."print.php?type=A&amp;item_id=".$info['article_id']."'><span>".$locale['global_075']."</span></a></li>\n";
	echo "\t\t\t<li class='user'><a href='".BASEDIR."profile.php?lookup=".$info['user_id']."'>".$info['user_name']."</a></li>\n";
	echo "\t\t\t<li class='date'>".showdate("longdate", $info['article_date'])."</li>\n";
	echo "\t\t\t<li class='comments'><a href='".BASEDIR."articles.php?article_id=".$info['article_id']."#comments'>".number_format($info['article_comments'], 0, ".", ",")." ".($info['article_comments'] != 1 ? ($info['article_comments'] % 100 >= 20 ? "de " : "") . $locale['global_073'] : $locale['global_073b'])."</a></li>\n";
	echo "\t\t\t<li class='views'>".number_format($info['article_reads'], 0, ",", ".")." ".$locale['global_074']."</li>\n";
	if (iADMIN && checkrights("A")) echo "\t\t\t<li class='edit'><a href='".ADMIN."articles.php".$aidlink."&amp;article_id=".$info['article_id']."'><img src='".IMAGES."edit.png' alt='".$locale['global_076']."' /></a></li>\n";
	echo "\t\t\t</ul>\n";
	echo "\t\t\t<div class='bcontent textfix'>\n";
	echo "\t\t\t\t".$article;
	echo "\t\t\t</div>\n";
	echo "\t\t</div>\n";

}

function opentable($title, $class="") {

	$allowed_theme_classes = array("bred", "byellow");
	$class = in_array($class, $allowed_theme_classes) ? " " . $class : "";

	echo "\t\t<div class='box".$class."'>\n";
	echo "\t\t\t<div class='title'>\n";
	echo "\t\t\t\t<h2><span class='tr'>".$title."</span></h2>\n";
	echo "\t\t\t</div>\n";
	echo "\t\t\t<div class='bcontent textfix'>\n";
}

function closetable() {
	echo "\t\t\t</div>\n";
	echo "\t\t</div>\n";
}

function openside($title, $collapse = false, $state = "on", $class = "") {

	global $panel_collapse; $panel_collapse = $collapse;
	$allowed_theme_classes = array("bred", "byellow");
	$class = in_array($class, $allowed_theme_classes) ? " " . $class : "";

	echo "\t\t<div class='box".$class."'>\n";
	echo "\t\t\t<div class='title'>\n";
	echo "\t\t\t\t<h2><span class='tr'>".$title."</span></h2>\n";
	echo "\t\t\t</div>\n";
	echo "\t\t\t<div class='bcontent clearfix'>\n";
}

function closeside() {

	global $panel_collapse;
	echo "\t\t\t</div>\n";
	echo "\t\t</div>\n";
}

?>
